package de.gurkengewuerz.serialinterface;

import com.bulenkov.darcula.DarculaLaf;

import javax.swing.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * Created by gurkengewuerz.de on 08.01.2018.
 */
public class SerialInterface {

    public static void main(String... args) {
        try {
            UIManager.setLookAndFeel(new DarculaLaf());
        } catch (UnsupportedLookAndFeelException e) {
            e.printStackTrace();
        }


        JFrame frame = new JFrame("Serial Interface Manager");
        SerialGUI gui = new SerialGUI();
        frame.setContentPane(gui.mainPanel);

        frame.addWindowListener(new WindowAdapter() {
            @Override
            public void windowClosing(WindowEvent e) {
                gui.close();
                frame.dispose();
            }
        });

        frame.pack();
        frame.setVisible(true);
    }
}
