package de.gurkengewuerz.serialinterface;

import org.json.JSONObject;
import org.pmw.tinylog.Logger;

import java.nio.charset.StandardCharsets;
import java.util.Arrays;

/**
 * Created by gurkengewuerz.de on 08.01.2018.
 */
public class DashboardStatus {

    private int fuel = 100;
    private int rpm = 0;
    private int kmh = 0;
    private boolean backlight = true;
    private boolean fogbeam = false;
    private boolean highbeam = false;
    private boolean handbrake = false;
    private boolean abs = false;
    private boolean oil_pressure = false;
    private boolean tire_pressure = false;
    private boolean kupplung = false;
    private boolean trunk = false;
    private boolean l_turn_signal = false;
    private boolean r_turn_signal = false;
    private boolean offroad = false;
    private boolean water_temp = false;
    private boolean seat_belt = false;
    private boolean battery = false;
    private boolean check_lamp = false;
    private boolean doors = false;

    public void setFuel(int fuel) {
        this.fuel = fuel;
    }

    public void setRpm(int rpm) {
        this.rpm = rpm;
    }

    public void setKmh(int kmh) {
        this.kmh = kmh;
    }

    public void setBacklight(boolean backlight) {
        this.backlight = backlight;
    }

    public void setFogbeam(boolean fogbeam) {
        this.fogbeam = fogbeam;
    }

    public void setHighbeam(boolean highbeam) {
        this.highbeam = highbeam;
    }

    public void setHandbrake(boolean handbrake) {
        this.handbrake = handbrake;
    }

    public void setAbs(boolean abs) {
        this.abs = abs;
    }

    public void setOil_pressure(boolean oil_pressure) {
        this.oil_pressure = oil_pressure;
    }

    public void setTire_pressure(boolean tire_pressure) {
        this.tire_pressure = tire_pressure;
    }

    public void setKupplung(boolean kupplung) {
        this.kupplung = kupplung;
    }

    public void setTrunk(boolean trunk) {
        this.trunk = trunk;
    }

    public void setL_turn_signal(boolean l_turn_signal) {
        this.l_turn_signal = l_turn_signal;
    }

    public void setR_turn_signal(boolean r_turn_signal) {
        this.r_turn_signal = r_turn_signal;
    }

    public void setOffroad(boolean offroad) {
        this.offroad = offroad;
    }

    public void setWater_temp(boolean water_temp) {
        this.water_temp = water_temp;
    }

    public void setSeat_belt(boolean seat_belt) {
        this.seat_belt = seat_belt;
    }

    public void setBattery(boolean battery) {
        this.battery = battery;
    }

    public void setCheck_lamp(boolean check_lamp) {
        this.check_lamp = check_lamp;
    }

    public void setDoors(boolean doors) {
        this.doors = doors;
    }

    public String generateJSON() {
        JSONObject obj = new JSONObject();
        obj.put("kmh", kmh);
        obj.put("rpm", rpm);
        obj.put("fuel", fuel);
        obj.put("backlight", backlight);
        obj.put("l_turn_signal", l_turn_signal);
        obj.put("r_turn_signal", r_turn_signal);
        obj.put("offroad", offroad);
        obj.put("water_temp", water_temp);
        obj.put("seat_belt", seat_belt);
        obj.put("battery", battery);
        obj.put("check_lamp", check_lamp);
        obj.put("doors", doors);
        obj.put("fogbeam", fogbeam);
        obj.put("highbeam", highbeam);
        obj.put("handbrake", handbrake);
        obj.put("abs", abs);
        obj.put("oil_pressure", oil_pressure);
        obj.put("tire_pressure", tire_pressure);
        obj.put("kupplung", kupplung);
        obj.put("trunk", trunk);

        return obj.toString();
    }
}
